--- mythtv/configure.orig	2013-09-18 17:28:07.000000000 -0400
+++ mythtv/configure	2013-09-19 14:52:56.000000000 -0400
@@ -5231,8 +5231,13 @@
         ###### Standard ffmpeg configure stuff follows:
         enabled ppc && add_asflags -force_cpusubtype_ALL
 
-        #Need to add @rpath in front of install name so test unit can use non-installed lib
-        SHFLAGS='-headerpad_max_install_names -dynamiclib -Wl,-single_module -Wl,-install_name,@rpath/$(SLIBNAME),-current_version,$(LIBVERSION),-compatibility_version,$(LIBMAJOR)'
+        
+        build_os_ver=$(uname -r)
+        if test ${build_os_ver:0:1} = 8; then
+            SHFLAGS='-headerpad_max_install_names -dynamiclib -Wl,-single_module -Wl,-install_name,$(SLIBNAME),-current_version,$(LIBVERSION)'
+        else
+            SHFLAGS='-headerpad_max_install_names -dynamiclib -Wl,-single_module -Wl,-install_name,$(SLIBNAME),-current_version,$(LIBVERSION),-compatibility_version,$(LIBMAJOR)'
+        fi
         enabled x86_32 && append SHFLAGS -Wl,-read_only_relocs,suppress
         strip="${strip} -x"
         add_ldflags -Wl,-dynamic,-search_paths_first


--- mythtv/settings.pro.orig	2013-09-18 17:28:07.000000000 -0400
+++ mythtv/settings.pro	2013-09-19 14:57:41.000000000 -0400
@@ -303,7 +303,6 @@
 
 macx {
     using_firewire:using_backend:EXTRA_LIBS += -F$${CONFIG_MAC_AVC} -framework AVCVideoServices
-    QMAKE_LFLAGS_SONAME  = -Wl,-install_name,@rpath/
     _RPATH_="-rpath,"
 } else {
     _RPATH_="-rpath="


--- mythtv/external/Makefile.orig	2013-09-18 17:28:07.000000000 -0400
+++ mythtv/external/Makefile	2013-09-19 14:52:56.000000000 -0400
@@ -29,9 +29,6 @@
 
 zeromq-all:	zeromq/Makefile
 	${MAKE} -C zeromq all
-ifeq ($(CONFIG_DARWIN),yes)
-	install_name_tool -id "@rpath/$(LIBPREF)zmq.1$(SLIBSUF)" zeromq/src/.libs/$(LIBPREF)zmq.1$(SLIBSUF)
-endif
 
 zeromq-install zeromq-uninstall zeromq-clean zeromq-distclean:
 	${MAKE} -C zeromq ${@:zeromq-%=%} DESTDIR=${INSTALL_ROOT}
